Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.ajax
Class AjaxFormUpdateControllerImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.ajax.AjaxFormUpdateControllerImpl

All Implemented Interfaces:
  AjaxFormUpdateController

    @Scope(value="perthread")
    public class AjaxFormUpdateControllerImpl

extends java.lang.Object
implements AjaxFormUpdateController

Constructor Summary
`AjaxFormUpdateControllerImpl(ComponentSource componentSource, HiddenFieldLocationRules rules, Environment environment, Heartbeat heartbeat, ClientDataEncoder clientDataEncoder, org.slf4j.Logger logger)`

Method Summary
`void` | `cleanupAfterPartialZoneRender()` Ends the heartbeat, executes deferred Form actions, and cleans up the environmentals.
`void` | `initializeForForm(java.lang.String formComponentId, java.lang.String formClientId)`
`void` | `setupBeforePartialZoneRender(MarkupWriter writer)` Called before starting to render a zone's content; initializes the `FormSupport` and `ValidationTracker` environmentals and starts a heartbeat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxFormUpdateControllerImpl

    public AjaxFormUpdateControllerImpl(ComponentSource componentSource,
                                        HiddenFieldLocationRules rules,
                                        Environment environment,
                                        Heartbeat heartbeat,
                                        ClientDataEncoder clientDataEncoder,
                                        org.slf4j.Logger logger)

Method Detail

### initializeForForm

    public void initializeForForm(java.lang.String formComponentId,
                                  java.lang.String formClientId)

  Specified by:
    `initializeForForm` in interface `AjaxFormUpdateController`

### setupBeforePartialZoneRender

    public void setupBeforePartialZoneRender(MarkupWriter writer)

  Description copied from interface: `AjaxFormUpdateController`
  Called before starting to render a zone's content; initializes the `FormSupport` and `ValidationTracker` environmentals and starts a heartbeat.

  Specified by:
    `setupBeforePartialZoneRender` in interface `AjaxFormUpdateController`

### cleanupAfterPartialZoneRender

    public void cleanupAfterPartialZoneRender()

  Description copied from interface: `AjaxFormUpdateController`
  Ends the heartbeat, executes deferred Form actions, and cleans up the environmentals.

  Specified by:
    `cleanupAfterPartialZoneRender` in interface `AjaxFormUpdateController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.